<?php
/*
Plugin Name: AzonPost
Plugin URI: http://azonpost.mochamir.com/
Description: Simple Amazon auto poster. Atomatically search Amazon products and post to your blog.
Version: 1.3
Author: Moch. A.
Author URI: http://www.mochamir.com
*/
/**
License: GPL

  Copyright (c)2012 Moch. A.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/
 
/*

INSTALLATION

1. Copy this file into the plugins directory in your WordPress installation (wp-content/plugins).
2. Log in to WordPress Admin. Go to the Plugins section and click Activate for this plugin.
3. Take a look at the Settings section, click "AzonPost".
4. Insert your Amazon Product Advertising API Setting then create post campaigns.

*/

define( 'AP_NAME', 'AzonPost' );
define( 'AP_VERSION', '1.3' );
define( 'AP_CODENAME', 'Kabongan Kidul' );

$ap_db_version = "1.2";
function ap_install() 
{
	global $wpdb;
	$jadwal_acara = $wpdb->prefix . "jadwal_acara";
	global $ap_db_version;
	$cekversi = get_option('ap_db_version');
	if ($cekversi != $ap_db_version)
	{		
		$tabelasin = $wpdb->prefix . "daftarasin";
		$sql = "CREATE TABLE $tabelasin (id mediumint(9) NOT NULL AUTO_INCREMENT, nama text NOT NULL, UNIQUE KEY id (id));";
		$sql .= "CREATE TABLE $jadwal_acara (id mediumint(9) NOT NULL AUTO_INCREMENT, nama text NOT NULL, indekcari text NOT NULL, nodeid text NOT NULL, 
		kategori text NOT NULL, judul text NOT NULL, templetpos text NOT NULL, bacalagi text NOT NULL, tags text NOT NULL, katids text NOT NULL, 
		pin text NOT NULL, sukses mediumint(9) DEFAULT 0, gagal mediumint(9) DEFAULT 0, UNIQUE KEY id (id));";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		update_option("ap_db_version", $ap_db_version);
			
		$cekkolomstatus = $wpdb->get_col( "SHOW FIELDS FROM " . $jadwal_acara );
		if (!in_array('sukses', $cekkolomstatus) && !in_array('gagal', $cekkolomstatus))
		{
			$wpdb->query( $wpdb->prepare("ALTER TABLE " . $jadwal_acara . " ADD sukses mediumint(9) DEFAULT 0") );
			$wpdb->query( $wpdb->prepare("ALTER TABLE " . $jadwal_acara . " ADD gagal mediumint(9) DEFAULT 0") );
		}
	}
}

function ap_install_data() 
{
	global $wpdb;
	$tekstemplet = '^mimagel^<p>Brand: ^brand^<br>Price: ^price^</p>
					<center>
					^wbuys^<br>
					</center>
					<p>^features^</p><p>^description^</p>
					<p>^iframereview^</p>';
	update_option('ap_dbtempletpos', $tekstemplet);
	$notogel = get_option('ap_dbtogel');
	if ($notogel == ''){
		$notogel = mt_rand();
		update_option('ap_dbtogel', $notogel);
	}
	update_option('ap_dbbacalagi', '35');
	update_option('ap_maxload', '0');
	update_option('ap_dbwilayah', 'com');
}
function ap_cek_apdet() {
    global $ap_db_version;
    if (get_site_option('ap_db_version') != $ap_db_version) {
        ap_install();
    }
}
add_action('plugins_loaded', 'ap_cek_apdet');

add_action('admin_menu', 'halaman_rumah_kita');
function halaman_rumah_kita() {
 add_menu_page(__(AP_NAME), __(AP_NAME), 'manage_options', 'azonpost', 'taman_bunga_cinta', plugins_url('/gambar/ap-20.png', __FILE__), 7);
 }
function taman_bunga_cinta() {
		
 global $dbumum, $dboraumum, $dbasstag, $dbwilayah;
 
	if (function_exists('screen_icon')) {
		screen_icon( 'ap-ikon' );
	} 
	//echo "<h2>" . __( 'AzonPost') . "</h2>"; 
	
	
 
?>
<style>
#icon-ap-ikon {
	background: transparent url('<?php echo plugins_url('/gambar/ap-32.png', __FILE__); ?>') no-repeat;
}
</style>		
<div class="wrap">	
	<h2><?php _e( AP_NAME );?></h2>
		<!--HENDEL SETING API.. CEK DOLO GEETO-->
		<?php
			if (empty($dbumum) || empty($dboraumum) || empty($dbasstag) || empty($dbwilayah))
			{
				echo '<div class="error"><p>' . __('Amazon Product Advertising API can not be empty. All fields are required!') . '</p></div>';
			}else{
				if ($_POST['simpenkey'])
				{
					_e( '<div class="updated"><p>Amazon Product Advertising API Settings saved.</p></div>' );
				}
			}
		?>
		<!--HENDEL END-->
	<div id="poststuff" class="metabox-holder has-right-sidebar">
		<div id="side-info-column" class="inner-sidebar">
			<div id="side-sortables" class="meta-box-sortables ui-sortable">
				<div class="postbox inside">
					<h3 class="handle"><?php _e( 'Tips' );?></h3>
					<div class="inside">
						<p>These required fields are global setting, all requests made by AP base on these.</p>
						<p>You need to fulfil this required form to make a request to Amazon. You can create campaigns, if you already filled completely and saved this setting.</p>
						<p>Well.. if you have done with it, the next step is to create campaigns as your templates for scheduled future posts.</p>
					</div> 
				</div>
					<?php require_once( dirname(__FILE__) . '/azonpost-about.php' );?>
			</div>
		</div>
	<div id="post-body">
		<div id="post-body-content">
			<div id="normal-sortables" class="meta-box-sortables ui-sortable">
				<div id="ap-setting" class="postbox">
<form name="ap_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
	<h3 class="hndle"><span><?php _e('Amazon Product Advertising API Settings' ); ?></span></h3>
					<div class="inside">
	<table><tr><td width="15%">
		<?php _e("Public Key: " ); ?></td><td><input type="text" name="ap_dbumum" value="<?php echo $dbumum; ?>" size="26"><?php _e("<dfn> ex: XXXXJRYJZ6NWPGHEYYYY</dfn>" ); ?></td></tr>
		<tr><td><?php _e("Private Key: " ); ?></td><td><input type="text" name="ap_dboraumum" value="<?php echo $dboraumum; ?>" size="50"><?php _e("<dfn> ex: +9pyeLZZZZZ/BBB+1ThbQkkecPMrvBtGTtJQQQQQ</dfn>" ); ?></td></tr>
		<tr><td><?php _e("Associate Tag: " ); ?></td><td><input type="text" name="ap_dbasstag" value="<?php echo $dbasstag; ?>" size="50"><?php _e("<dfn> ex: vvvvvvv-20, for multi Associate Tags separate by space</dfn>" ); ?></td></tr>
		<tr><td><?php _e("Locale: " ); ?></td><td><select name="ap_dbwilayah"><!-- onchange="this.form.submit();">-->
		<option <?php if($dbwilayah == "com") {echo "selected";}?> value="com">Amazon.com (US)</option>
		<option <?php if($dbwilayah == "ca") {echo "selected";}?> value="ca">Amazon.ca (CA)</option>
		<option <?php if($dbwilayah == "cn") {echo "selected";}?> value="cn">Amazon.cn (CN)</option>
		<option <?php if($dbwilayah == "de") {echo "selected";}?> value="de">Amazon.de (DE)</option>
		<option <?php if($dbwilayah == "es") {echo "selected";}?> value="es">Amazon.es (ES)</option>
		<option <?php if($dbwilayah == "fr") {echo "selected";}?> value="fr">Amazon.fr (FR)</option>
		<option <?php if($dbwilayah == "it") {echo "selected";}?> value="it">Amazon.it (IT)</option>
		<option <?php if($dbwilayah == "jp") {echo "selected";}?> value="jp">Amazon.co.jp (JP)</option>
		<option <?php if($dbwilayah == "uk") {echo "selected";}?> value="uk">Amazon.co.uk (UK)</option></select>
		<?php _e("<dfn> Amazon locale as you have've been joined. ex: com, fr, it, es, ca, jp, cn, uk, de</dfn>" ); ?></td></tr>
	</table>
	<br />
	<p style="margin-left:35px;"><input type="submit" name="simpenkey" class="button-primary" value="<?php _e('Save') ?>" /></p>
					</div>
				</div>
				<div id="info" class="postbox">
						<div class="inside">					
							<p align="center">
								<script type="text/javascript"><!--
									google_ad_client = "ca-pub-8063998966056079";
									/* bk 468x60 */
									google_ad_slot = "2647439066";
									google_ad_width = 468;
									google_ad_height = 60;
									//-->
									</script>
									<script type="text/javascript"
									src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
								</script>
							</p>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php 
}
 
$dbumum = get_option('ap_dbumum');
$dboraumum = get_option('ap_dboraumum');
$dbasstag = get_option('ap_dbasstag');
$dbwilayah = get_option('ap_dbwilayah');
 
add_action('admin_menu', 'hijau_rumput_tetangga');

function hijau_rumput_tetangga()
{
 global $dbumum, $dboraumum, $dbasstag, $dbwilayah;

		if ($_POST['simpenkey'])
		{
			$dbumum = sanitize_text_field($_POST['ap_dbumum']);
			update_option('ap_dbumum', $dbumum);
			$dboraumum = sanitize_text_field($_POST['ap_dboraumum']);
			update_option('ap_dboraumum', $dboraumum);
			$dbasstag = sanitize_text_field($_POST['ap_dbasstag']);
			update_option('ap_dbasstag', $dbasstag);
			$dbwilayah = $_POST['ap_dbwilayah'];
			update_option('ap_dbwilayah', $dbwilayah);
			if (!empty($dbumum) && !empty($dboraumum) && !empty($dbasstag) && !empty($dbwilayah))
			{
				//KLIK SAVE N KABEH TERISI THEN SUBMENU NJEDOOL
				$dbumum = get_option('ap_dbumum');
				$dboraumum = get_option('ap_dboraumum');
				$dbasstag = get_option('ap_dbasstag');
				$dbwilayah = get_option('ap_dbwilayah');

				add_submenu_page('azonpost', __('Amazon API Setting'), __('Amazon API Setting'), 'manage_options', 'azonpost', 'taman_bunga_cinta');
				add_submenu_page('azonpost', __('Campaign'), __('Campaign'), 'manage_options', 'azonpost/azonpost-campaign.php');
				add_submenu_page('azonpost', __('Tools'), __('Tools'), 'manage_options', 'azonpost/azonpost-tools.php');
			}
		}else{
			//YEN ONO FORM API SENG URUNG D ISI, SUB MENU G NJEDOOOL
			if (empty($dbumum) || empty($dboraumum) || empty($dbasstag) || empty($dbwilayah))
			{
				$dbumum = get_option('ap_dbumum');
				$dboraumum = get_option('ap_dboraumum');
				$dbasstag = get_option('ap_dbasstag');
				$dbwilayah = get_option('ap_dbwilayah');
			}else{
			// API ISI KABEH.. SUBMENU NJEDOOL
				$dbumum = get_option('ap_dbumum');
				$dboraumum = get_option('ap_dboraumum');
				$dbasstag = get_option('ap_dbasstag');
				$dbwilayah = get_option('ap_dbwilayah');

				add_submenu_page('azonpost', __('Amazon API Setting'), __('Amazon API Setting'), 'manage_options', 'azonpost', 'taman_bunga_cinta');
				add_submenu_page('azonpost', __('Campaign'), __('Campaign'), 'manage_options', 'azonpost/azonpost-campaign.php');
				add_submenu_page('azonpost', __('Tools'), __('Tools'), 'manage_options', 'azonpost/azonpost-tools.php');
			}
		}

}
function metalhead() 
{ 	
$dbradiokw = get_option('ap_radio_kw_opt');
$dbkastemkw = get_option('ap_kastem_kw_opt');
$dbmetaradio = get_option('ap_radio_des_opt');
	if ( is_single() ) 
	{
?>
<!-- Generated by AzonPost -->
<meta name="description" content="<?php if ($dbmetaradio != '0') {
$metades = get_post_custom_values('AP Meta Description');
		foreach ( $metades as $uut => $dessy ) 
		{
			echo "$dessy"; 
		}
	}
?>" />
<meta name="keywords" content="<?php if ($dbradiokw != '0') {
$kw = get_post_custom_values('AP Meta Keywords');
		foreach ( $kw as $sms => $telp ) 
		{
			if (empty($dbkastemkw))
			{
				echo "$telp";
			}else{
				echo "$telp" . "," . $dbkastemkw;
			}
		}
	}
?>" />
<!-- End Generated -->
<?php
	}
}

add_action('wp_head', 'metalhead');

function filter_refiu($konten) {
    $konten = str_ireplace('<!--frem-ngarep-->', '<iframe src="', $konten);
    $konten = str_ireplace('<!--frem-mburi-->', '" width="100%" height="600"></iframe>', $konten);
	//TAMBAH FESBUK KOMEN
	$fb_ok = get_option('ap_fb_komen_opt');
	if ($fb_ok[0] == '1' && is_single())
	{
	$fbkomenjs = <<<JSFB
	<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
JSFB;
	$url = get_permalink();
	$kotak_komen_fb = '<div class="fb-comments" data-href="'.$url.'" data-width="'.$fb_ok[1].'" data-num-posts="'.$fb_ok[2].'" data-colorscheme="'.$fb_ok[3].'"></div>';
		if (strpos($konten, '<!--fbkotakkomen-->'))
		{
			$konten = $fbkomenjs . $konten;
			$konten = str_ireplace('<!--fbkotakkomen-->', $kotak_komen_fb, $konten);
		}else{
			$konten = $fbkomenjs . $konten . $kotak_komen_fb;
		}
	}
	//FESBUK KOMEN END
    return $konten;
}  
add_filter( 'the_content', 'filter_refiu' );

register_activation_hook(__FILE__,'ap_install');
register_activation_hook(__FILE__,'ap_install_data');

register_deactivation_hook( __FILE__, 'ap_buang_versi_db' );

function ap_buang_versi_db() {
delete_option('ap_db_version');
}

 ?>